Patchwork meta-toolchain-qt[e]: add qt4[-embedded]-staticdev

login
register
mail settings
Submitter Diego Sueiro
Date Feb. 18, 2014, 4:49 p.m.
Message ID <1392742198-23333-1-git-send-email-diego.sueiro@gmail.com>
Download mbox | patch
Permalink /patch/66935/
State New
Headers show

Comments

Diego Sueiro - Feb. 18, 2014, 4:49 p.m.
libQtUiTools[E].a needs to be installed on toolchain.
qt4[-embedded]-staticdev is the package which provides this library.

Signed-off-by: Diego Sueiro <diego.sueiro@gmail.com>
---
 meta/recipes-qt/packagegroups/packagegroup-qt-toolchain-target.inc |    1 +
 1 file changed, 1 insertion(+)
Khem Raj - Feb. 18, 2014, 4:53 p.m.
On Tue, Feb 18, 2014 at 8:49 AM, Diego Sueiro <diego.sueiro@gmail.com> wrote:
> libQtUiTools[E].a needs to be installed on toolchain.
> qt4[-embedded]-staticdev is the package which provides this library.
>
> Signed-off-by: Diego Sueiro <diego.sueiro@gmail.com>
> ---
>  meta/recipes-qt/packagegroups/packagegroup-qt-toolchain-target.inc |    1 +
>  1 file changed, 1 insertion(+)
>
> diff --git a/meta/recipes-qt/packagegroups/packagegroup-qt-toolchain-target.inc b/meta/recipes-qt/packagegroups/packagegroup-qt-toolchain-target.inc
> index fc1ccba..b040182 100644
> --- a/meta/recipes-qt/packagegroups/packagegroup-qt-toolchain-target.inc
> +++ b/meta/recipes-qt/packagegroups/packagegroup-qt-toolchain-target.inc
> @@ -33,4 +33,5 @@ RDEPENDS_${PN} += " \
>          libqt${QTLIBPREFIX}xmlpatterns4-dev \
>          libsqlite3-dev \
>          expat-dev \
> +        qt4${QTLIBPREFIX}-staticdev \
>

hmmm you just want this 1 static library not all. So lets first
package the .a into a package of its own and then include that instead
          "
> --
> 1.7.10.4
>
> _______________________________________________
> Openembedded-core mailing list
> Openembedded-core@lists.openembedded.org
> http://lists.openembedded.org/mailman/listinfo/openembedded-core
Otavio Salvador - Feb. 18, 2014, 4:54 p.m.
On Tue, Feb 18, 2014 at 1:49 PM, Diego Sueiro <diego.sueiro@gmail.com> wrote:
> libQtUiTools[E].a needs to be installed on toolchain.
> qt4[-embedded]-staticdev is the package which provides this library.
>
> Signed-off-by: Diego Sueiro <diego.sueiro@gmail.com>

Please change the short description to have the packagegroup inc file
on it. And please expand the long description to explain /why/ you are
doing it. Don't need to use contracted strings in the long description
as it may be long as needed.


> ---
>  meta/recipes-qt/packagegroups/packagegroup-qt-toolchain-target.inc |    1 +
>  1 file changed, 1 insertion(+)
>
> diff --git a/meta/recipes-qt/packagegroups/packagegroup-qt-toolchain-target.inc b/meta/recipes-qt/packagegroups/packagegroup-qt-toolchain-target.inc
> index fc1ccba..b040182 100644
> --- a/meta/recipes-qt/packagegroups/packagegroup-qt-toolchain-target.inc
> +++ b/meta/recipes-qt/packagegroups/packagegroup-qt-toolchain-target.inc
> @@ -33,4 +33,5 @@ RDEPENDS_${PN} += " \
>          libqt${QTLIBPREFIX}xmlpatterns4-dev \
>          libsqlite3-dev \
>          expat-dev \
> +        qt4${QTLIBPREFIX}-staticdev \
>          "
> --
> 1.7.10.4
>
> _______________________________________________
> Openembedded-core mailing list
> Openembedded-core@lists.openembedded.org
> http://lists.openembedded.org/mailman/listinfo/openembedded-core
Diego Sueiro - Feb. 18, 2014, 5:20 p.m.
Khem,
On Tue, Feb 18, 2014 at 1:53 PM, Khem Raj <raj.khem@gmail.com> wrote:

> hmmm you just want this 1 static library not all. So lets first
> package the .a into a package of its own and then include that instead
>
libQtUiTools[E].a is the only file in the package.


Regards,

--
*dS
Diego Sueiro

Administrador do Embarcados
www.embarcados.com.br


/*long live rock 'n roll*/

Patch

diff --git a/meta/recipes-qt/packagegroups/packagegroup-qt-toolchain-target.inc b/meta/recipes-qt/packagegroups/packagegroup-qt-toolchain-target.inc
index fc1ccba..b040182 100644
--- a/meta/recipes-qt/packagegroups/packagegroup-qt-toolchain-target.inc
+++ b/meta/recipes-qt/packagegroups/packagegroup-qt-toolchain-target.inc
@@ -33,4 +33,5 @@  RDEPENDS_${PN} += " \
         libqt${QTLIBPREFIX}xmlpatterns4-dev \
         libsqlite3-dev \
         expat-dev \
+        qt4${QTLIBPREFIX}-staticdev \
         "